
package presentacion;

import java.awt.Font;
import javax.swing.JLabel;

public class ConexionEfectuada extends PantallaOpcion {
      
       private JLabel jLabelUsuarioConectado;
       
    public ConexionEfectuada() {
        ubicarComponentes();
    }
  
    private void ubicarComponentes() {
        setLayout(null);
        jLabelUsuarioConectado = new JLabel();
        jLabelUsuarioConectado.setBounds(400, 300, 3000, 20);
        jLabelUsuarioConectado.setFont(new Font("TimesRoman", Font.BOLD, 20));
        add(jLabelUsuarioConectado);
    }   
    

    public void inicializarPostInstanciar(Controller controller) throws Exception { 
        this.controller = controller;
        jLabelUsuarioConectado.setText("Está conectado como usuario "+controller.getUsuarioAutenticado().getIdentificadorUsuario());
    }    
    
    
    public void responderAController(String actionCommand) throws Exception {
    }    
}
